Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFSimpleShape

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFShape
          org.apache.poi.xssf.usermodel.XSSFSimpleShape

Direct Known Subclasses:
  XSSFTextBox

    public class XSSFSimpleShape

extends XSSFShape

Represents a shape with a predefined geometry in a SpreadsheetML drawing. Possible shape types are defined in `ShapeTypes`

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.xssf.usermodel.XSSFShape
`anchor, drawing, EMU_PER_PIXEL, EMU_PER_POINT, parent, PIXEL_DPI, POINT_DPI`

Constructor Summary
`protected` | `XSSFSimpleShape(XSSFDrawing drawing, org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape ctShape)`

Method Summary
`org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape` | `getCTShape()`
`protected org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties` | `getShapeProperties()` Returns xml bean with shape properties.
`int` | `getShapeType()` Gets the shape type, one of the constants defined in `ShapeTypes`.
`protected static org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape` | `prototype()` Prototype with the default structure of a new auto-shape.
`void` | `setShapeType(int type)` Sets the shape types.
`void` | `setText(XSSFRichTextString str)`

Methods inherited from class org.apache.poi.xssf.usermodel.XSSFShape
`getAnchor, getDrawing, getParent, isNoFill, setFillColor, setLineStyle, setLineStyleColor, setLineWidth, setNoFill`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFSimpleShape

    protected XSSFSimpleShape(XSSFDrawing drawing,
                              org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape ctShape)

Method Detail

### prototype

    protected static org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape prototype()

  Prototype with the default structure of a new auto-shape.

### getCTShape

    @Internal
    public org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape getCTShape()

### getShapeType

    public int getShapeType()

  Gets the shape type, one of the constants defined in `ShapeTypes`.

  Returns:
    the shape type
  See Also:
    `ShapeTypes`

### setShapeType

    public void setShapeType(int type)

  Sets the shape types.

  Parameters:
    `type` - the shape type, one of the constants defined in `ShapeTypes`.
  See Also:
    `ShapeTypes`

### getShapeProperties

    protected org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties getShapeProperties()

  Description copied from class: `XSSFShape`
  Returns xml bean with shape properties.

  Specified by:
    `getShapeProperties` in class `XSSFShape`
  Returns:
    xml bean with shape properties.

### setText

    public void setText(XSSFRichTextString str)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.